## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathFactoryDefault Class Reference

Inheritance diagram for XPathFactoryDefault:

[legend]
Collaboration diagram for XPathFactoryDefault:

[legend]
List of all members.

## Public Types

- typedef XalanSet< const XPath * > CollectionType

## Public Member Functions

- XPathFactoryDefault (MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
- virtual ~XPathFactoryDefault ()
- virtual void reset ()
    Reset the instance.
- virtual XPath * create ()
    Create an XPath.
- CollectionType::size_type getInstanceCount () const

## Static Public Member Functions

- XPathFactoryDefault * createXPathFactoryDefault (MemoryManagerType &theManager)

## Protected Member Functions

- virtual bool doReturnObject (const XPath *theXPath, bool fInReset=false)

## Member Typedef Documentation

typedef XalanSet<const XPath*> XPathFactoryDefault::CollectionType

## Constructor & Destructor Documentation

XPathFactoryDefault::XPathFactoryDefault | ( | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR | ) | `[explicit]`

virtual XPathFactoryDefault::~XPathFactoryDefault | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XPath* XPathFactoryDefault::create | ( |  | ) | `[virtual]`

| Create an XPath. The XPath instance is owned by the factory, and should not be deleted. The factory will manage the lifetime. Implements XPathFactory.

XPathFactoryDefault* XPathFactoryDefault::createXPathFactoryDefault | ( | MemoryManagerType & | theManager | ) | `[static]`

virtual bool XPathFactoryDefault::doReturnObject | ( | const XPath * | theXPath,
|  | bool | fInReset = false
| ) | `[protected, virtual]`

| Implements XPathFactory.

CollectionType::size_type XPathFactoryDefault::getInstanceCount | ( |  | ) | const

virtual void XPathFactoryDefault::reset | ( |  | ) | `[virtual]`

| Reset the instance. This invalidates all existing instances created with this XPathFactory. Implements XPathFactory.

The documentation for this class was generated from the following file:

- XPathFactoryDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.